> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ck-itsolutions.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Creates a new firewall rule



## OpenAPI

````yaml POST /user
openapi: 3.0.1
info:
  title: Ck IT Solutions API
  description: An API that can be used to mange Ck IT Solutions products and services.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.ck-itsolutions.nl/v1
security:
  - ApiKeyAuth: []
paths:
  /user:
    post:
      description: Creates a new firewall rule
      requestBody:
        description: Plant to add to the store
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/new_user'
        required: true
      responses:
        '200':
          description: Returns newly created firewall rule with uuid as json.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list_rules'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    new_user:
      allOf:
        - $ref: '#/components/schemas/list_rules'
        - required:
            - username
            - email
            - password
            - ips
          type: object
          properties:
            username:
              description: Username for the new created user.
              type: string
            email:
              description: Email for the new created user
              type: string
            password:
              description: Password for the new created user
              type: string
            ips:
              description: IP subnet(s) the user has acces too
              type: array
    list_rules:
      required:
        - name
      type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````